DROP PROCEDURE EliminarFantanteSobranteProc
GO
CREATE PROCEDURE EliminarFantanteSobranteProc
(  
    @SITEID	    UD_IDSITE,
    @DATEPROCE      UD_FECHA
)
AS
BEGIN

    BEGIN TRAN

    /* ELIMINANDO DETALLE */	
    DELETE 
    FROM OP_CCSALESPERSONDET
    WHERE 	SITEID=@SITEID AND DATEPROCE=@DATEPROCE

    IF (@@error!=0 or @@rowcount=0)
    BEGIN
        ROLLBACK TRAN
	RAISERROR 20000 'Error Eliminando en OP_CCSALESPERSONDET'
        RETURN(1)
    
    END

    /* ELIMINANDO CABECERA */
    DELETE
    FROM 	OP_CCSALESPERSON
    WHERE 	SITEID=@SITEID AND DATEPROCE=@DATEPROCE

    IF (@@error!=0 or @@rowcount=0)
    BEGIN
        ROLLBACK TRAN
	RAISERROR 20000 'Error Eliminando en OP_CCSALESPERSON'
        RETURN(1)
    
    END

    COMMIT TRAN

END
